Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

500 Internal Server Error - keine Installation möglich
 
Die_Gestalterin
Jr. Member
 
Total Posts:  12
Joined:  2013-10-03
 

Vorab - das ist das erste Mal, dass ich mit Magento arbeite. Mein Hoster ist alsoisp, welcher mir versicherte, dass alle Gegenheiten vorhanden sind um Magento zu betreiben. Ich habe jetzt auf zwei meiner Seiten versucht Magento zu installieren, beide Male war dies nicht möglich. Ich habe es einmal mit der “normalen” Magento-Installation und einmal mit der Downloader-Installation versucht. Bei der normalen Magento-Installation bekam ich sofort nach dem Upload der Daten den Internal-Server-Fehler, bei der Downloader-Installation konnte ich zumindest durch den Installationsvorgang gehen, welcher jedoch am Ende auch auf den Internal-Server-Fehler hinauslief. Ich habe schon sämtliche Tipps und Tricks versucht, die Ordner und Dateien sind jeweils 755 und 644 gestellt.

In der index-php steht folgendes:

<?php
/**
* Magento
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@magentocommerce.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade Magento to newer
* versions in the future. If you wish to customize Magento for your
* needs please refer to http://www.magentocommerce.com for more information.
*
* @category Mage
* @package Mage
* @copyright Copyright (c) 2008 Irubin Consulting Inc. DBA Varien (http://www.varien.com)
* @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*/

if (version_compare(phpversion(), ‘5.2.0’, ‘<’)===true) {
echo ‘<div style="font:12px/1.35em arial, helvetica, sans-serif;">
<div style="margin:0 0 25px 0; border-bottom:1px solid #ccc;">
<h3 style="margin:0; font-size:1.7em; font-weight:normal; text-transform:none; text-align:left; color:#2f2f2f;">
Whoops, it looks like you have an invalid PHP version.</h3></div><p>Magento supports PHP 5.2.0 or newer.
<a href="http://www.magentocommerce.com/install" target="">Find out</a> how to install</a>
Magento using PHP-CGI as a work-around.</p></div>’;
exit;
}

/**
* Error reporting
*/
error_reporting(E_ALL | E_STRICT);

/**
* Compilation includes configuration file
*/
define(’MAGENTO_ROOT’, getcwd());

$compilerConfig = MAGENTO_ROOT . ‘/includes/config.php’;
if (file_exists($compilerConfig)) {
include $compilerConfig;
}

$mageFilename = MAGENTO_ROOT . ‘/app/Mage.php’;
$maintenanceFile = ‘maintenance.flag’;

if (!file_exists($mageFilename)) {
if (is_dir(’downloader’)) {
header("Location: downloader");
} else {
echo $mageFilename.” was not found”;
}
exit;
}

if (file_exists($maintenanceFile)) {
include_once dirname(__FILE__) . ‘/errors/503.php’;
exit;
}

require_once $mageFilename;

#Varien_Profiler::enable();

if (isset($_SERVER[’MAGE_IS_DEVELOPER_MODE’])) {
Mage::setIsDeveloperMode(true);
}

#ini_set(’display_errors’, 1);

umask(0);

/* Store or website code */
$mageRunCode = isset($_SERVER[’MAGE_RUN_CODE’]) ? $_SERVER[’MAGE_RUN_CODE’] : ‘’;

/* Run store or run website */
$mageRunType = isset($_SERVER[’MAGE_RUN_TYPE’]) ? $_SERVER[’MAGE_RUN_TYPE’] : ‘store’;

Mage::run($mageRunCode, $mageRunType);

ich bin für jegliche Hilfe dankbar!

 
Magento Community Magento Community
Magento Community
Magento Community
 
sringel
Member
 
Avatar
Total Posts:  55
Joined:  2012-02-20
 

Hallo,

dieser Fehler deutet auf einen PHP Fehler oder Rechteproblem hin.

Mit folgenden Befehl können die Rechte angepasst werden.

find . -type f -exec chmod 644 {} \; && find . -type d -exec chmod 755 {} \; && chmod o+w var var/.htaccess includes includes/config.php app/etc && chmod 550 pear && chmod -R o+w media

Es kann auch daran liegen, dass der memory_limit Wert zu niedrig ist.

Am besten einmal die Logs anschauen.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Die_Gestalterin
Jr. Member
 
Total Posts:  12
Joined:  2013-10-03
 

Hallo! Vielen Dank für die Hilfe!

 
Magento Community Magento Community
Magento Community
Magento Community
 
bispa
Jr. Member
 
Total Posts:  1
Joined:  2013-01-15
 

Hallo,

bin neu und verstehe die Unix befehle nicht.

aber vielleicht könnte mann die kommandes in einfachen schritten

erklaeren oder ? Bitte.

Oder wenn möglich gegen bezahlung bitte Problem klaeren.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top